| 接口频率限制 | 10次/分钟 |
|---|---|
| 权限要求 | 查看规则表行信息 |
| 字段权限要求 | 该接口返回体中存在下列敏感字段,仅当开启对应的权限后才会返回;如果无需获取这些字段,则不建议申请获取用户 user ID仅自建应用 |
Authorization: Bearer ********************{
"table_cell":{
"table_cell_content":{
"bool":null,
"collection":null,
"department_collection":null,
"employee_collection":[
"ou-sdwerdfvdc"
],
"role_collection":null,
"number":null,
"string":null
},
"table_cell_content_type":"EMPLOYEE_COLLECTION",
"table_column_id":"7111905213878894636"
}
}curl --location --request POST 'https://open.qfei.cn/open-apis/rule_engine/v1/products/rule_product/groups/rule_group/rule_tables/rule_table_id/table_rows/search?page_size=10&page_token=7112034393270534188&user_id_type&department_id_type=department_id' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"table_cell":{
"table_cell_content":{
"bool":null,
"collection":null,
"department_collection":null,
"employee_collection":[
"ou-sdwerdfvdc"
],
"role_collection":null,
"number":null,
"string":null
},
"table_cell_content_type":"EMPLOYEE_COLLECTION",
"table_column_id":"7111905213878894636"
}
}'{
"code":0,
"msg":"success",
"data":{
"page_token":"7112034393270534188",
"has_more":true,
"table_rows":[
{
"id":"7111905220350705708",
"table_cells":[
{
"table_column_id":"7111905213878894636",
"table_cell_content_type":"EMPLOYEE_COLLECTION",
"table_cell_content":{
"string":null,
"number":null,
"bool":null,
"collection":null,
"employee_collection":[
"ou-sdwerdfvdc",
"ou-ewrewdfsdvc"
],
"department_collection":null,
"role_collection":null
}
}
]
},
{
"id":"7112034393270534188",
"table_cells":[
{
"table_column_id":"7111905213878894636",
"table_cell_content_type":"EMPLOYEE_COLLECTION",
"table_cell_content":{
"string":null,
"number":null,
"bool":null,
"collection":null,
"employee_collection":[
"ou-sdwerdfvdc"
],
"department_collection":null,
"role_collection":null
}
}
]
}
]
}
}